%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-joystick
Version: 1.3.2
Release: alt1.M41.1
Serial: 1
Summary: joystick input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-joystick = %serial:%version-%release
Obsoletes: xorg-x11-drv-joystick

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

%description
joystick is an Xorg input driver.

%def_disable static

%prep
%setup -q

%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*.4*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.2-alt1.M41.1
- build for branch 4.1

* Tue Jun 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.2-alt2
- renamed xorg-x11-drv-joystick to xorg-drv-joystick
- added requires XORG_ABI_XINPUT = 2.0

* Mon Apr 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.2-alt1
- 1.3.1

* Sat Dec 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt1
- 1.3.1

* Sat Oct 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.3-alt2
- rebuild with xorg-server-1.4

* Thu Aug 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.3-alt1
- 1.2.3

* Sun Apr 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

